Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Interface Autoscroll

public interface Autoscroll

During DnD operations it is possible that a user may wish to drop the subject of the operation on a region of a scrollable GUI control that is not currently visible to the user.

In such situations it is desirable that the GUI control detect this and institute a scroll operation in order to make obscured region(s) visible to the user. This feature is known as autoscrolling.

If a GUI control is both an active `DropTarget` and is also scrollable, it can receive notifications of autoscrolling gestures by the user from the DnD system by implementing this interface.

An autoscrolling gesture is initiated by the user by keeping the drag cursor motionless with a border region of the `Component`, referred to as the "autoscrolling region", for a predefined period of time, this will result in repeated scroll requests to the `Component` until the drag `Cursor` resumes its motion.

Since:
  1.2

Method Summary
`void` | `autoscroll(Point cursorLocn)` notify the `Component` to autoscroll
`Insets` | `getAutoscrollInsets()` This method returns the `Insets` describing the autoscrolling region or border relative to the geometry of the implementing Component.

Method Detail

### getAutoscrollInsets

    public Insets getAutoscrollInsets()

  This method returns the `Insets` describing the autoscrolling region or border relative to the geometry of the implementing Component.

  This value is read once by the `DropTarget` upon entry of the drag `Cursor` into the associated `Component`.

  Returns:
    the Insets

### autoscroll

    public void autoscroll(Point cursorLocn)

  notify the `Component` to autoscroll

  Parameters:
    `cursorLocn` - A `Point` indicating the location of the cursor that triggered this operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.